#ifndef STORAGESVC_DBSECTION_H
#define STORAGESVC_DBSECTION_H


namespace pool {
  class DbSection {
  public:
    enum { INVALID = ~0x0 };
    int offset;
    int start;
    int length;
    DbSection() : offset(0), start(0), length(0) {}
    DbSection(int o, int s, int l) : offset(o), start(s), length(l) {}
    DbSection(const DbSection& s) : offset(s.offset), start(s.start), length(s.length) {}
  };
}

#endif // STORAGESVC_DBSECTION_H
